<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/TOC/TOC.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.TOC.TOC</title>
<link href="../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../Synopsis.html" >Synopsis</a>.<a href="../../Formatters.html" >Formatters</a>.<a href="../TOC.html" >TOC</a>
</div><div class="class-name">class TOC

</div><div class="links"><div class="file">File: <a href="../../../../File/Synopsis/Formatters/TOC.py.html" target="detail">../Synopsis/Formatters/TOC.py</a></div> <div class="xref"><a href="../../../../XRef/xref16.html#Synopsis.Formatters.TOC.TOC" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/TOC.py.html#line23" ><img src="../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="TOC-inheritance" src="TOC-inheritance.png" hspace="8" vspace="8" border="0" usemap="#TOC-inheritance_map" />
<map name="TOC-inheritance_map"></map>
 <div class="doc">Maintains a dictionary of all declarations which can be looked up
   to create cross references. Names are fully scoped.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Private Class attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="__getitem__">__getitem__</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/TOC.py.html#line59" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Classes Summary:</div>
<div class="item"><div class="synopsis">class <a href="TOC/Entry.html" >Entry</a></div> <div class="xref"><a href="../../../../XRef/xref16.html#Synopsis.Formatters.TOC.TOC.Entry" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/TOC.py.html#line27" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Struct for an entry in the table of contents.</div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="__toc">__toc</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/TOC.py.html#line43" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="linker">linker</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/TOC.py.html#line44" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="verbose">verbose</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/TOC.py.html#line45" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="TOC.html#__init__" >__init__</a></span>(<span class="variable">self</span>, <span class="variable">linker</span>, <span class="variable">verbose</span> = <span class="value">False</span>)  </div> <div class="xref"><a href="../../../../XRef/xref16.html#Synopsis.Formatters.TOC.TOC.__init__" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/TOC.py.html#line39" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">linker is an instance that implements the Linker interface and is
      used to generate the links from declarations.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="keys">keys</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../XRef/xref16.html#Synopsis.Formatters.TOC.TOC.keys" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/TOC.py.html#line47" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="lookup">lookup</a>(<span class="variable">self</span>, <span class="variable">name</span>)  </div> <div class="xref"><a href="../../../../XRef/xref16.html#Synopsis.Formatters.TOC.TOC.lookup" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/TOC.py.html#line49" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="size">size</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../XRef/xref16.html#Synopsis.Formatters.TOC.TOC.size" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/TOC.py.html#line57" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="insert">insert</a>(<span class="variable">self</span>, <span class="variable">entry</span>)  </div> <div class="xref"><a href="../../../../XRef/xref16.html#Synopsis.Formatters.TOC.TOC.insert" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/TOC.py.html#line61" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="TOC.html#store" >store</a></span>(<span class="variable">self</span>, <span class="variable">file</span>)  </div> <div class="xref"><a href="../../../../XRef/xref16.html#Synopsis.Formatters.TOC.TOC.store" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/TOC.py.html#line64" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="load">load</a>(<span class="variable">self</span>, <span class="variable">resource</span>)  </div> <div class="xref"><a href="../../../../XRef/xref16.html#Synopsis.Formatters.TOC.TOC.load" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/TOC.py.html#line75" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_declaration">visit_declaration</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../XRef/xref16.html#Synopsis.Formatters.TOC.TOC.visit_declaration" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/TOC.py.html#line99" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Classes Details:</div>
<div class="item"><div class="synopsis">class <a href="TOC/Entry.html" >Entry</a></div> <div class="xref"><a href="../../../../XRef/xref16.html#Synopsis.Formatters.TOC.TOC.Entry" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/TOC.py.html#line27" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Struct for an entry in the table of contents.
      Vars: link&#44; lang&#44; type &#40;all strings&#41;
      Also: name &#40;scoped&#41;</div></div>
</div><!-- detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="variable">linker</span>, <span class="variable">verbose</span> = <span class="value">False</span>)  </div> <div class="xref"><a href="../../../../XRef/xref16.html#Synopsis.Formatters.TOC.TOC.__init__" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/TOC.py.html#line39" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">linker is an instance that implements the Linker interface and is
      used to generate the links from declarations.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="store">store</a>(<span class="variable">self</span>, <span class="variable">file</span>)  </div> <div class="xref"><a href="../../../../XRef/xref16.html#Synopsis.Formatters.TOC.TOC.store" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/TOC.py.html#line64" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">store the table of contents into a file&#44; such that it can be used later when cross referencing</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:57 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
